Subject: Re: linux-next: Signed-off-by missing for commit in the arm-soc tree

From: Alexandre Belloni <[email-masked]>
Date: Thu, 22 Mar 2018 22:01:44 +0100

On 16/03/2018 at 07:34:06 +0000, Patrice CHOTARD wrote:
> Hi Arnd, Stephen
> 
> On 03/15/2018 10:06 PM, Arnd Bergmann wrote:
> > On Thu, Mar 15, 2018 at 9:56 PM, Stephen Rothwell <[email-masked]> wrote:
> >> Hi all,
> >>
> >> Commit
> >>
> >>    9a5f4879cd8d ("ARM: dts: stih4xx: Add missing #sound-dai-cells")
> >>
> >> is missing a Signed-off-by from its committer.
> > 
> > Thanks for the report.
> > 
> > What script do you use to find those? I guess I should check for
> > missing signoffs as well when pulling a branch.
> > 
> > Patrice, I've dropped the merge now, and picked up the one
> > patch in it directly, with my signoff. This should fix the issue this
> > time, but please make sure you always sign off patches when
> > you apply them from the list.
> > 
> >          Arnd
> > 
> 
> Ok i will update my script on my side with Stephen's script to avoid 
> this in the future.
> 

FWIW, last time this happened in the at91 tree, I've switched to use
Stephen's script as a pre-push hook:
https://raw.githubusercontent.com/alexandrebelloni/tools/master/pre-push_signed-off

-- 
Alexandre Belloni, Bootlin (formerly Free Electrons)
Embedded Linux and Kernel engineering
https://bootlin.com